Import tasks
Authentication
Path parameters
Query parameters
List of fields to preannotate from the task data. For example, if you provide a list of {"text": "text", "prediction": "label"} items in the request, the system will create a task with the text field and a prediction with the label field when preannoted_from_fields=["prediction"].
Request
Meta is user imported (uploaded) data and can be useful as input for an ML Backend for embeddings, advanced vectors, and other info. It is passed to ML during training/predicting steps.
Response
Tasks successfully imported or import queued. For non-Community editions, the response will be {"import": <import_id>} which you can use to poll the import status. For Community edition, the response contains task counts and is processed synchronously.
Number of annotations added (Community edition sync import only)
Whether uploaded files can contain lists of tasks, like CSV/TSV files (Community edition sync import only)
The list of found data columns (Community edition sync import only)
Time in seconds to create (Community edition sync import only)
Database IDs of uploaded files (Community edition sync import only)
The list of found file formats (Community edition sync import only)
Import ID for async operations (non-Community editions only). Use this ID to poll /api/projects/{project_id}/imports/{import_id} for status.
Number of predictions added (Community edition sync import only)
Number of tasks added (Community edition sync import only)